Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class IvyDependencyReport

- org.codehaus.groovy.grails.resolve.IvyDependencyReport

- All Implemented Interfaces and Traits:
    DependencyReport

      @groovy.transform.CompileStatic
      class IvyDependencyReport
      extends java.lang.Object

  A DependencyReport implementation for Ivy.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.io.File>` | `allArtifacts`
    `java.util.List<java.io.File>` | `jarFiles`
    `java.util.List<java.io.File>` | `pluginZips`
    `org.apache.ivy.core.report.ResolveReport` | `resolveReport`
    `java.lang.String` | `scope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IvyDependencyReport (java.lang.String scope, org.apache.ivy.core.report.ResolveReport resolveReport)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getClasspath()`
    `java.lang.Throwable` | `getResolveError()`
    `java.util.List<ResolvedArtifactReport>` | `getResolvedArtifacts()`
    `boolean` | `hasError()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List<java.io.File> allArtifacts

    - #### java.util.List<java.io.File> jarFiles

    - #### java.util.List<java.io.File> pluginZips

    - #### org.apache.ivy.core.report.ResolveReport resolveReport

    - #### java.lang.String scope

  - ### Constructor Detail

    - #### IvyDependencyReport(java.lang.String scope, org.apache.ivy.core.report.ResolveReport resolveReport)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String getClasspath()

    - #### @java.lang.Override java.lang.Throwable getResolveError()

    - #### java.util.List<ResolvedArtifactReport> getResolvedArtifacts()

    - #### @java.lang.Override boolean hasError()